Rysunek Techniczny: Wstaw wymiar kąta

From FreeCAD Documentation
Revision as of 09:52, 21 July 2023 by Kaktus (talk | contribs) (Created page with "==Opis==")

Rysunek Techniczny: Wstaw wymiar kąta

Lokalizacja w menu
Rysunek Techniczny → Wymiary → Wstaw wymiar kąta
Środowisko pracy
Rysunek Techniczny
Domyślny skrót
brak
Wprowadzono w wersji
-
Zobacz także
Wstaw trzy punktowy wymiar kąta

Opis

The TechDraw AngleDimension tool adds a angular dimension to a View. The dimension may be the interior angle between any two straight line edges. The angle will initially be the projected angle (ie as shown on the drawing), but this may be changed to the actual 3D distance using the TechDraw LinkDimension tool.

Measuring the angle between two straight lines

Usage

  1. Select the points or edge which define your measurement.
  2. Press the Angle Dimension button
  3. A dimension will be added to the View. The dimension may be dragged to the desired position.
  4. If needed, add tolerances as described on this page.

To change the properties of a dimension object either double-click it in the drawing or in the Tree view. This will open the dimension dialog.

Limitations

Dimension objects are vulnerable to the "topological naming problem". See TechDraw LengthDimension for more information.

Properties

See TechDraw LengthDimension.

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The Angle Dimension tool can be used in macros and from the Python console by using the following functions:

dim1 = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewDimension','Dimension')
dim1.Type = "Angle"
dim1.References2D=[(view1, 'Edge1')]
rc = page.addView(dim1)